# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "substrate-frame-rpc-support"
version = "18.0.0"
authors = [
    "Parity Technologies <admin@parity.io>",
    "Andrew Dirksen <andrew@dirksen.com>",
]
description = "Substrate RPC for FRAME's support"
homepage = "https://substrate.io"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/paritytech/substrate/"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[dependencies.codec]
version = "3.2.2"
package = "parity-scale-codec"

[dependencies.frame-support]
version = "17.0.0"

[dependencies.jsonrpsee]
version = "0.16.2"
features = ["jsonrpsee-types"]

[dependencies.sc-rpc-api]
version = "0.22.0"

[dependencies.serde]
version = "1"

[dependencies.sp-storage]
version = "11.0.0"

[dev-dependencies.frame-system]
version = "17.0.0"

[dev-dependencies.jsonrpsee]
version = "0.16.2"
features = [
    "ws-client",
    "jsonrpsee-types",
]

[dev-dependencies.scale-info]
version = "2.1.1"

[dev-dependencies.sp-core]
version = "17.0.0"

[dev-dependencies.sp-runtime]
version = "19.0.0"

[dev-dependencies.tokio]
version = "1.22.0"
